
var telegraft = require('../');



describe('broadcast', function(){

  it('should inherit from a simple event emitter', function(done){
  	var broadcast = telegraft();
    broadcast.on('foo', done);
    broadcast.emit('foo');
  })

  it('must expose public API', function () {
  	var broadcast = telegraft();
  	broadcast.announce.should.be.a('function');
  	broadcast.record.should.be.a('function');
    broadcast.frequency.should.be.a('function');
  	broadcast.wait.should.be.a('function');
    broadcast.middleware.should.be.a('function');
  	broadcast.transmit.should.be.a('function');
  	broadcast.queue.should.be.a('function');
  })

  it('must have chainable public API', function () {
    var broadcast = telegraft();

    broadcast.announce().should.equal(broadcast);
    broadcast.record().should.equal(broadcast);
    broadcast.wait().should.equal(broadcast);
    broadcast.transmit().should.equal(broadcast);

  })

})