var telegraft = require('../');

describe('telegraft', function(){

	it('must expose version number', function () {
    telegraft.version.should.match(/[0-9]+\.[0-9]+\.[0-9]+/);
  })

  it('must expose public constructors', function () {
    telegraft.should.be.a('function');
    telegraft.prepare.should.be.a('function');

  });

  it('must generate a broadcast when called', function () {
  	var broadcast = telegraft();
  	broadcast.record.should.be.a('function');
  	broadcast.wait.should.be.a('function');
  	broadcast.transmit.should.be.a('function');
  })

  it('must pass the first argument onto broadcast.record', function () {
  	var broadcast = telegraft('uptime');

  	broadcast.queue().length.should.equal(1);
  })
 
})
